Package com.ocient.jdbc.proto

# Interface PlanProtocol.StatsRequestInfoOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.StatsRequestInfo`, `PlanProtocol.StatsRequestInfo.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.StatsRequestInfoOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.StatsTableInfo` | `getStatsTablesInfo​(int index)` | `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`int` | `getStatsTablesInfoCount()` | `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`List<PlanProtocol.StatsTableInfo>` | `getStatsTablesInfoList()` | `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`PlanProtocol.StatsTableInfoOrBuilder` | `getStatsTablesInfoOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`
`List<? extends PlanProtocol.StatsTableInfoOrBuilder>` | `getStatsTablesInfoOrBuilderList()` | `repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getStatsTablesInfoList

List<PlanProtocol.StatsTableInfo> getStatsTablesInfoList()
`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

### getStatsTablesInfo

PlanProtocol.StatsTableInfo getStatsTablesInfo​(int index)
`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

### getStatsTablesInfoCount

int getStatsTablesInfoCount()
`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

### getStatsTablesInfoOrBuilderList

List<? extends PlanProtocol.StatsTableInfoOrBuilder> getStatsTablesInfoOrBuilderList()
`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`

### getStatsTablesInfoOrBuilder

PlanProtocol.StatsTableInfoOrBuilder getStatsTablesInfoOrBuilder​(int index)
`repeated .xg.db.sqlPlans.StatsTableInfo stats_tables_info = 1;`